Package org.kapott.hbci.structures

## Class WPRef

- java.lang.Object
- - org.kapott.hbci.structures.WPRef

    public class WPRef
    extends java.lang.Object

Wertpapierreferenz (eine mögliche Identifikation für ein Wertpapier

### Field Summary

Fields
`java.lang.String` `code` Bezeichnung des Wertpapiert, Interpretation abhängig vom Wert von `type`
`int` `type` Typ der Bezeichnung.
`static int` `TYPE_IDXNAME` Code repräsentiert einen Indexnamen
`static int` `TYPE_ISIN` Code repräsentiert ein ISIN
`static int` `TYPE_KIINTERN` Code repräsentiert eine kreditinstitutsinterne Bezeichnung
`static int` `TYPE_WKN` Code repräsentier eine WKN

### Constructor Summary

Constructors
`WPRef()`
`WPRef​(int type, java.lang.String code)` Erstellen eines neuen Wertpapierreferenz-Objektes.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_ISIN

    public static final int TYPE_ISIN

Code repräsentiert ein ISIN

See Also:
  Constant Field Values

#### TYPE_WKN

    public static final int TYPE_WKN

Code repräsentier eine WKN

See Also:
  Constant Field Values

#### TYPE_KIINTERN

    public static final int TYPE_KIINTERN

Code repräsentiert eine kreditinstitutsinterne Bezeichnung

See Also:
  Constant Field Values

#### TYPE_IDXNAME

    public static final int TYPE_IDXNAME

Code repräsentiert einen Indexnamen

See Also:
  Constant Field Values

#### type

    public int type

Typ der Bezeichnung. Mögliche Werte sind

- `TYPE_ISIN`
- `TYPE_WKN`
- `TYPE_KIINTERN`
- `TYPE_IDXNAME`

#### code

    public java.lang.String code

Bezeichnung des Wertpapiert, Interpretation abhängig vom Wert von `type`

### Constructor Detail

#### WPRef

    public WPRef()

#### WPRef

    public WPRef​(int type,
                 java.lang.String code)

Erstellen eines neuen Wertpapierreferenz-Objektes.

Parameters:
  `type` - Typ der Referenz
  `code` - Wertpapierbezeichnung abhängig von `type`